Support » Plugin: Insert Pages » PHP7 deprecation warning

  • Resolved christer_f

    (@christer_f)



    Hi Paul,
    Thanks for your plugin. Just wanted to inform you that with php7 you get a deprecation warning, which can very easily be fixed. On line 40 in insert-pages.php you have a constructor with the same name as the class (InsertPagesPlugin). This is deprecated and constructors should be named “__construct”. To fix this I have just duplicated the InsertPagesPlugin function and called it __construct
    Cheers
    — christer

    https://wordpress.org/plugins/insert-pages/

Viewing 3 replies - 1 through 3 (of 3 total)
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘PHP7 deprecation warning’ is closed to new replies.